Devuan bug report logs - #507
New wireshark is uninstallable due to versioned libsystemd0 dependency

version graph

Package: libelogind0; Maintainer for libelogind0 is Mark Hindley <mark@hindley.org.uk>;

Reported by: Klaus Ethgen <Klaus@ethgen.de>

Date: Fri, 14 Aug 2020 07:03:01 UTC

Severity: grave

Fixed in version elogind/246.9-1

Done: Mark Hindley <mark@hindley.org.uk>

Forwarded to https://bugs.debian.org/968379

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to devuan-bugs@lists.dyne.org, devuan-dev@lists.dyne.org:
bug#507; Package wireshark-common. (Fri, 14 Aug 2020 07:03:01 GMT) (full text, mbox, link).


Acknowledgement sent to Klaus Ethgen <Klaus@ethgen.de>:
New bug report received and forwarded. Copy sent to devuan-dev@lists.dyne.org. (Fri, 14 Aug 2020 07:03:08 GMT) (full text, mbox, link).


Message #5 received at submit@bugs.devuan.org (full text, mbox, reply):

From: Klaus Ethgen <Klaus@ethgen.de>
To: Devuan Bug Tracking System <submit@bugs.devuan.org>
Subject: New wireshark is uninstallable due to versioned libsystemd0 dependency
Date: Fri, 14 Aug 2020 08:54:50 +0200
[Message part 1 (text/plain, inline)]
Package: wireshark-common
Version: 3.2.6-1
Severity: grave

The new debian package of wireshark-common depending on "libsystemd0 (>=
246)" instead of "libsystemd0", so it is not possible to install on
devuan.

Regards
   Klaus
-- 
Klaus Ethgen                                       http://www.ethgen.ch/
pub  4096R/4E20AF1C 2011-05-16            Klaus Ethgen <Klaus@Ethgen.ch>
Fingerprint: 85D4 CA42 952C 949B 1753  62B3 79D0 B06F 4E20 AF1C
[signature.asc (application/pgp-signature, inline)]

Information forwarded to devuan-bugs@lists.dyne.org, devuan-dev@lists.dyne.org:
bug#507; Package wireshark-common. (Fri, 14 Aug 2020 09:33:01 GMT) (full text, mbox, link).


Message #8 received at 507@bugs.devuan.org (full text, mbox, reply):

From: Mark Hindley <mark@hindley.org.uk>
To: Klaus Ethgen <Klaus@ethgen.de>, 507@bugs.devuan.org
Cc: devuan developers internal list <devuan-dev@lists.dyne.org>
Subject: Re: bug#507: New wireshark is uninstallable due to versioned libsystemd0 dependency
Date: Fri, 14 Aug 2020 10:13:03 +0100
Control: reassign -1 libelogind0
Control: forwarded -1 https://bugs.debian.org/968379

Klaus,

Thanks for this. It has also been reported in Debian.  The issue is that the
version libelogind0 is lagging behind libsystemd0. However, there isn't a more
recent version of elogind available at the moment. So the
libelogind0/libsystemd0 compatibility is broken for packages that use the latest
libsystemd0 symbols.

Until there is a new version of elogind upstream, I am afraid I have no ideas of
how to fix this.

Sorry.

Mark

bug reassigned from package 'wireshark-common' to 'libelogind0'. Request was from Mark Hindley <mark@hindley.org.uk> to 507-submit@bugs.devuan.org. (Fri, 14 Aug 2020 09:33:08 GMT) (full text, mbox, link).


No longer marked as found in versions 3.2.6-1. Request was from Mark Hindley <mark@hindley.org.uk> to 507-submit@bugs.devuan.org. (Fri, 14 Aug 2020 09:33:08 GMT) (full text, mbox, link).


Set bug forwarded-to-address to 'https://bugs.debian.org/968379'. Request was from Mark Hindley <mark@hindley.org.uk> to 507-submit@bugs.devuan.org. (Fri, 14 Aug 2020 09:33:08 GMT) (full text, mbox, link).


Reply sent to Mark Hindley <mark@hindley.org.uk>:
You have taken responsibility. (Thu, 04 Mar 2021 11:03:01 GMT) (full text, mbox, link).


Notification sent to Klaus Ethgen <Klaus@ethgen.de>:
bug acknowledged by developer. (Thu, 04 Mar 2021 11:03:10 GMT) (full text, mbox, link).


Message #19 received at 507-done@bugs.devuan.org (full text, mbox, reply):

From: Mark Hindley <mark@hindley.org.uk>
To: 507-done@bugs.devuan.org
Subject: Fixed with merge of upstream version 246.9
Date: Thu, 4 Mar 2021 10:39:11 +0000
source: elogind
source-version: 246.9-1

This was fixed with the upgrade to version 246.9.

Closing.

Mark

Send a report that this bug log contains spam.


Devuan BTS -- Powered by Debian bug tracking system
Copyright (C) 1999 Darren O. Benham,
1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson,
2005-2017 Don Armstrong, and many other contributors.

Devuan Bugs Owner <owner@bugs.devuan.org>.
Last modified: Mon Apr 12 18:39:08 2021;